Authentication

Authentication

All Demandbase API endpoints require a JWT Bearer token in the authorization header.

Authorization: Bearer YOUR_BEARER_TOKEN
📘 For instructions of generating API tokens, see the Generate A JWT Bearer Token section.

Generate Your Token

Before making authenticated requests, you must exchange your API credentials for a JWT Bearer token. Reference Generate an access token for exact payload specifications.

curl --request POST \ --url https://uapi.demandbase.com/auth/v1/token \ --header 'Content-Type: application/json' \ --header 'Accept: application/json' \ --data '{ "grantType": "client_credentials", "clientId": "YOUR_CLIENT_ID", "clientSecret": "YOUR_CLIENT_SECRET" }'
🚧 Authentication Errors
HTTP STATUS CODEDescription
401Indicates the provided JWT Bearer Token is either invalid or expired
403Indicates the provided JWT Bearer Token lacks sufficient privilege to perform the requested action

Did this page help you?